import asyncRequest from "@/api/newEarning"


export const expressColumns = [
  { 
    label: '无地址订单', 
    prop: 'noAddrOrderNum',
    suffix: '_date',
    minWidth: '100px',
    exportUrl: 'http://rep.report.caixiao365.com/purchease/sale/saleNoAddrListExport',
    baseParameter: {}
  },
  { 
    label: '未发货发货单', 
    prop: 'waitSendOrderNum',
    suffix: '',
    minWidth: '100px',
    exportUrl: 'http://rep.report.caixiao365.com/purchease/sale/orderNoOutListExport',
    baseParameter: { }
  },
  { 
    label: '未签收订单', 
    minWidth: '100px', 
    children: [
      { 
        label: '未签收订单总数', 
        prop: 'noSignOrderNum', 
        minWidth: '120px', 
        suffix: '',
        exportUrl: 'http://rep.report.caixiao365.com//purchease/sale/OutChildListExport',
        baseParameter: { status: '2' } 
      },
      { 
        label: '无物流信息', 
        prop: 'noSignOrderNoExpressNum', 
        minWidth: '100px',
        suffix: '',
        exportUrl: 'http://rep.report.caixiao365.com//purchease/sale/OutChildErrorExport',
        baseParameter: { status: '0' }
      },
      
      { 
        label: '物流信息异常',
        prop: 'noSignOrderFailNum', 
        minWidth: '100px',
        suffix: '',
        exportUrl: 'http://rep.report.caixiao365.com//purchease/sale/OutChildErrorExport',
        baseParameter: { status: '7' }
      },
    ] 
  }
]

export const purchaseOrderColumns = [
  { 
    label: '未对账采购单', 
    children: [
      { label: '通用订单', prop: 'noDzCgdNumComon', minWidth: '100px'  },
      { label: '采购/源头订单', prop: 'noDzCgdNum', minWidth: '100px' },
    ] 
  },
  {
    label: '已对账未付款采购单',
    children: [
      { label: '通用订单', prop: 'dzNoPayCgdNumCom', minWidth: '100px'},
      { label: '采购/源头订单', prop: 'dzNoPayCgdNum', minWidth: '100px' }
    ]
  },
  {
    label: '已对账未回票采购单',
    children: [
      { label: '通用订单', prop: 'dzNoInvCgdNumCom', minWidth: '100px' },
      { label: '采购/源头订单', prop: 'dzNoInvCgdNum', minWidth: '100px' }
    ]
  },
]


export const saleOrderColumns = [
  {
    label: '未回款销售单',
    children: [
      { label: 'toB', prop: 'noPayQrdTobNum', minWidth: '100px' },
      { label: 'toC', prop: 'noPayQrdTocNum', minWidth: '100px' }
    ]
  },
  {
    label: '未开票销售单',
    children: [
      { label: 'toB', prop: 'noInvQrdTobNum', minWidth: '100px' },
      { label: 'toC', prop: 'noInvQrdTocNum', minWidth: '100px' }
    ]
  }
]


export const mapModeToColumns = {
  'express': expressColumns,
  'saleOrder': saleOrderColumns,
  'purchaseOrder': purchaseOrderColumns
}
